import { ToastPosition } from './toast.placement.js';
import { c as ToastMethods } from './toast.provider-02a226a3.js';
import { d as ToastState, b as ToastId } from './toast.types-76829e6b.js';
import 'react';
import 'framer-motion';
import '@chakra-ui/portal';
import '@chakra-ui/system';
import '@chakra-ui/alert';

declare type ToastStore = ToastMethods & {
    getState: () => ToastState;
    subscribe: (onStoreChange: () => void) => () => void;
    removeToast: (id: ToastId, position: ToastPosition) => void;
};
/**
 * Store to track all the toast across all positions
 */
declare const toastStore: ToastStore;

export { toastStore };
